LibreOffice LibreOffice 4.4 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
osl::Module Class Reference

`#include <module.hxx>`

## Public Member Functions
| Module ()
| Module (const ::rtl::OUString &strModuleName, sal_Int32 nRtldMode=SAL_LOADMODULE_DEFAULT)
| ~Module ()
bool | load (const ::rtl::OUString &strModuleName, sal_Int32 nRtldMode=SAL_LOADMODULE_DEFAULT)
bool | loadRelative (::oslGenericFunction baseModule,::rtl::OUString const &relativePath,::sal_Int32 mode=SAL_LOADMODULE_DEFAULT)
bool | loadRelative (oslGenericFunction baseModule, char const *relativePath, sal_Int32 mode=SAL_LOADMODULE_DEFAULT)
void | unload ()
bool | is () const
void * | getSymbol (const ::rtl::OUString &strSymbolName)
oslGenericFunction | getFunctionSymbol (const ::rtl::OUString &ustrFunctionSymbolName) const
| Get function address by the function name in the module. More...
oslGenericFunction | getFunctionSymbol (char const *name) const
| operator oslModule () const
void | release ()
| Release the module so that it will not be unloaded from the destructor. More...

## Static Public Member Functions
static bool | getUrlFromAddress (void *addr,::rtl::OUString &libraryUrl)
static bool | getUrlFromAddress (oslGenericFunction addr,::rtl::OUString &libraryUrl)
| Get module URL from the specified function address in the module. More...

## Constructor & Destructor Documentation

osl::Module::Module | ( |  | ) |
| inline

osl::Module::Module | ( | const ::rtl::OUString & | strModuleName,
|  | sal_Int32 | nRtldMode = `SAL_LOADMODULE_DEFAULT`
| ) |  |
| inline

osl::Module::~Module | ( |  | ) |
| inline

## Member Function Documentation

oslGenericFunction osl::Module::getFunctionSymbol | ( | const ::rtl::OUString & | ustrFunctionSymbolName | ) | const
| inline

Get function address by the function name in the module.

getFunctionSymbol is an alternative function for getSymbol. Use Function pointer as symbol address to conceal type conversion.

Parameters

  ustrFunctionSymbolName | [in] Function name to be looked up.

Returns
  oslGenericFunction format function address
    on success
  NULL
    lookup failed or parameter is somewhat invalid

See also
  getSymbol

oslGenericFunction osl::Module::getFunctionSymbol | ( | char const * | name | ) | const
| inline

Since
  LibreOffice 3.5

void* osl::Module::getSymbol | ( | const ::rtl::OUString & | strSymbolName | ) |
| inline

static bool osl::Module::getUrlFromAddress | ( | void * | addr,
|  | ::rtl::OUString & | libraryUrl
| ) |  |
| inline static

static bool osl::Module::getUrlFromAddress | ( | oslGenericFunction | addr,
|  | ::rtl::OUString & | libraryUrl
| ) |  |
| inline static

Get module URL from the specified function address in the module.

Similar to getUrlFromAddress, but use a function address to get URL of the Module. Use Function pointer as symbol address to conceal type conversion.

Parameters

  addr | [in] function address in oslGenericFunction format.
  libraryUrl | [in|out] receives the URL of the module.

Returns
  true
    on success
  false
    can not get the URL from the specified function address or the parameter is invalid.

See also
  getUrlFromAddress

bool osl::Module::is | ( |  | ) | const
| inline

bool osl::Module::load | ( | const ::rtl::OUString & | strModuleName,
|  | sal_Int32 | nRtldMode = `SAL_LOADMODULE_DEFAULT`
| ) |  |
| inline

bool osl::Module::loadRelative | ( | ::oslGenericFunction | baseModule,
|  | ::rtl::OUString const & | relativePath,
|  | ::sal_Int32 | mode = `SAL_LOADMODULE_DEFAULT`
| ) |  |
| inline

Since
  UDK 3.2.8

bool osl::Module::loadRelative | ( | oslGenericFunction | baseModule,
|  | char const * | relativePath,
|  | sal_Int32 | mode = `SAL_LOADMODULE_DEFAULT`
| ) |  |
| inline

Since
  LibreOffice 3.5

osl::Module::operator oslModule | ( |  | ) | const
| inline

void osl::Module::release | ( |  | ) |
| inline

Release the module so that it will not be unloaded from the destructor.

This instance returns to the state of a default-constructed instance again.

Since
  LibreOffice 4.3

void osl::Module::unload | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- osl/module.hxx